package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * 物料信息表
 * </p>
 *
 * @author Andy.Tan
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Schema(name="物料信息表对象", description="物料信息表")
public class BaseMaterial {

	@Schema(name = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

	@Schema(name = "物料号")
    private String materialCode;

	@Schema(name = "物料名称")
    private String materialName;

	@Schema(name = "物料类型: 1-瓶子 2-PET 3-罐盖 4-瓶盖 5-纸板箱 6-塑箱 7-小桶&叉子 8-托盘")
    private Integer materialType;

    @Schema(name = "活动ID")
    private Long activeId;

	@Schema(name = "描述")
    private String description;

	@Schema(name = "是否有效 0-无效 1-有效")
    private Integer valid;

    @Schema(name = "是否有二维码 0-没有 1-有")
    private Integer hasQr;

	@Schema(name = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

	@Schema(name = "创建人id")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

	@Schema(name = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

	@Schema(name = "修改人id")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

	@Schema(name = "是否删除")
    private Integer isDelete;



}
