package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 供应商新增修改入参
 */
@Data
@ApiModel
public class ListFactorySelectReq implements Serializable {

    @NotNull(message = "请提供你要查找的供应商类型")
    @ApiModelProperty(value = "供应商类型 1-包材厂 2-啤酒厂 3-二级包材厂")
    private List<Long> factoryTypeList;

    @NotNull(message = "是否数据隔离为空")
    @ApiModelProperty(value = "是否数据隔离")
    private Integer dataLimit = 1;

    @ApiModelProperty(value = "是否一级包材厂")
    private Integer isFirstFactory;

}
