package com.abi.qms.platform.dto.req;

import com.abi.task.common.api.base.PageReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

/**
 * 码包查询分页入参
 *
 * @author WeiganCai
 * @date: 2021-04-28
 */
@Data
@ApiModel
public class ListQrPackageReq extends PageReq implements Serializable {

	@ApiModelProperty("码包ID")
	private Long id;

	@ApiModelProperty("SAP单号")
	private String sapOrderNo;

	@Schema(name = "预订单号")
	private String bookingOrder;

	@ApiModelProperty("物料id")
	private Long materialId;

	@ApiModelProperty("二维码类型 1-箱码 2-盖码")
	private Integer qrType;

	@ApiModelProperty("包材厂id")
	private Long factoryCoverId;

	@ApiModelProperty("申请状态 0-待审核 1-审核通过 2-审核拒绝")
	private Integer applyStatus;

}
