package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.io.Serializable;

/**
 * @author Eurus
 * @date 2021/6/9 11:47
 * @Description: 更新手机号和邮箱（小程序） 入参
 */
@Data
@ApiModel
public class UpdatePhoneEmailWxReq implements Serializable {

    @NotNull(message = "用户id为空")
    @ApiModelProperty(value = "用户id")
    private Long id;

    @NotEmpty(message = "手机号为空")
    @Pattern(regexp = "^1[0-9]{10}$", message = "手机格式不正确，请重新输入")
    @ApiModelProperty(value = "手机号")
    private String phone;

    @NotEmpty(message = "邮箱为空")
    @Email(message = "邮件格式不正确，请重新输入")
    @ApiModelProperty(value = "邮箱")
    private String email;

}
