package com.abi.qms.platform.dto.res;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/06/09 16:44
 * @description: 激活记录出参
 */
@Data
@ApiModel
public class ActivationRecordRes implements Serializable {

    @ApiModelProperty(value = "是否小程序用户主账号 1-是 0-不是")
    private Integer isMainAccount;

    @ApiModelProperty("激活记录列表")
    private List<ActivationRecordBean> activationRecordBeanList;

    /**
     * 激活记录
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ActivationRecordRes_ActivationRecordBean")
    public static class ActivationRecordBean implements Serializable {

        @ApiModelProperty(value = "条码序号")
        private String boxCode;

        @ApiModelProperty(value = "活动名称")
        private String activeName;

        @ApiModelProperty(value = "物料名称")
        private String materialName;

        @ApiModelProperty(value = "激活账号")
        private String activeAccount;

        @ApiModelProperty(value = "激活时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private String activeTime;

    }


}
