package com.abi.qms.platform.dto.res;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 查询单个角色信息出参
 */
@Data
@ApiModel
public class GetRoleInfoRes implements Serializable {

  @ApiModelProperty(value = "角色code")
  private String roleCode;

  @ApiModelProperty(value = "上级角色code")
  private String parentRoleCode;

  @ApiModelProperty(value = "角色name")
  private String roleName;

  @ApiModelProperty(value = "角色描述")
  private String roleDesc;

  @ApiModelProperty("资源code列表")
  List<String> resourceCodeList;

  @ApiModelProperty(value = "激活小程序资源列表（里面只会有2种code: 1-主账号 2-子账号）")
  private List<Integer> activateMiniAppResourceCodeList;

}
