package com.abi.qms.platform.dto.res;

import com.abi.task.common.api.base.PageResp;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 码包查询分页出参
 *
 * @author WeiganCai
 * @date: 2021-04-28
 */
@Data
@ApiModel
public class ListQrPackageRes extends PageResp implements Serializable {

    @ApiModelProperty("码库列表")
    private List<QrPackageBean> qrRepertoryBeanList;

    /**
     * 码库Bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListQrPackageRes_QrPackageBean")
    public static class QrPackageBean {

        @ApiModelProperty("码包id")
        private Long id;

        @ApiModelProperty(value = "物料id")
        private Long materialId;

        @ApiModelProperty("物料名称")
        private String materialName;

        @ApiModelProperty("SAP单号")
        private String sapOrderNo;

        @Schema(name = "预订单号")
        private String bookingOrder;

        @ApiModelProperty(value = "包材厂id")
        private Long factoryCoverId;

        @ApiModelProperty("包材厂名称")
        private String factoryCoverName;

        @ApiModelProperty("箱码幅面id")
        private Long boxCodeFormatId;

        @ApiModelProperty("箱码幅面名称")
        private String boxCodeFormatName;

        @ApiModelProperty("码数量")
        private Long qrNumber;

        @ApiModelProperty("码类型")
        private Integer qrType;

        @ApiModelProperty("已使用码数量")
        private Long qrNumberUse = 0L;

        @ApiModelProperty("申请状态 0-待审核 1-审核通过 2-审核拒绝")
        private Integer applyStatus;

        @ApiModelProperty("是否已下载")
        private Integer isDownload;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "更新时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;

        @ApiModelProperty(value = "创建人id")
        private Long createBy;

        @ApiModelProperty(value = "创建人名称")
        private String createByName;

        @ApiModelProperty(value = "是否作废 0-未作废 1-已作废")
        private Integer invalid;
    }
}
