package com.abi.qms.platform.infrastructure.config;

import com.abi.qms.platform.infrastructure.mq.GenerateCodeConsumer;
import com.abi.qms.platform.infrastructure.mq.TableStoreBatchInsertConsumer;
import org.springframework.amqp.core.Queue;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * rabbitmq配置
 *
 * @author WeiganCai
 * @date: 2021-05-11
 */
@Configuration
public class RabbitmqConfig {

	@Bean
	public Queue declareQueue() {
		return new Queue(GenerateCodeConsumer.GENERATE_CODE_BY_REPERTORY_QUEUE);
	}

	@Bean
	public Queue declareTableBatchInsertQueue() {
		return new Queue(TableStoreBatchInsertConsumer.TABLE_STORE_BATCH_INSERT_QUEUE);
	}

}
