package com.abi.qms.platform.runner;

import com.abi.qms.platform.dao.tablestore.entity.QrCode;
import com.abi.task.common.tablestore.TableStoreUtils;
import com.abi.task.common.tablestore.common.TableStore;
import com.google.common.collect.Sets;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

import java.util.Map;
import java.util.Set;
import java.util.concurrent.atomic.AtomicInteger;

/**
 * @className: com.abi.qms.platform.runner-> doCheckTableStore
 * @description:
 * @author: Marko.W
 * @createDate: 2021-06-08 9:59
 * @version: 1.0
 * @todo:
 */
//@Component
@Slf4j
public class CheckTableStoreRunner implements ApplicationRunner {

    @Autowired
    private TableStoreUtils tableStoreUtils;


    private static AtomicInteger retryTimes = new AtomicInteger(0);
    private static String RESOURCE_PATH = "classpath*:com/abi/qms/platform/dao/tablestore/entity/*.class";


    @Override
    public void run(ApplicationArguments args){
        Set<TableStore> tableNames = getAllEntity();
        Map<String,String> existTableNames = tableStoreUtils.listTables();
        tableNames.stream()
                .filter(o->!existTableNames.containsKey(o.tableName()))
                .forEach(tableInfo->{
                    log.info("检查到表名{}不存在，开始执行创建",tableInfo.tableName());
                    long start = System.currentTimeMillis();
                    tableStoreUtils.createTable(tableInfo.tableName(),tableInfo.primaryKeyName());
                    log.info("表名{}创建成功，耗时{}ms",tableInfo.tableName(),(System.currentTimeMillis() -start));
                });
    }

    private static Set<TableStore> getAllEntity(){
        Set<TableStore> ret = Sets.newHashSet();
        ret.add(QrCode.class.getAnnotation(TableStore.class));
        return ret;
    }

}