package com.abi.qms.platform.service;


import com.abi.qms.platform.dao.entity.UserInfo;
import com.abi.qms.platform.dto.req.LoginReq;
import com.abi.qms.platform.dto.req.ResetPasswordReq;
import com.abi.qms.platform.dto.req.TokenReq;
import com.abi.qms.platform.dto.req.UpdatePasswordReq;
import com.abi.qms.platform.dto.res.LoginActivateRes;
import com.abi.qms.platform.dto.res.LoginRes;

/**
 * <p>
 * 登录
 * </p>
 *
 * @author Andy.Tan
 */
public interface LoginService {

    /**
     * 登录
     * @param req
     * @return
     */
    LoginRes loginConsole(LoginReq req);

    /**
     * 登录激活小程序
     * @param req
     * @return
     */
    LoginActivateRes loginActivate(LoginReq req);

    /**
     *重置密码
     * @param req
     * @return
     */
    void resetPassword(ResetPasswordReq req);

    /**
     * 修改密码
     * @return
     */
    void updatePassword(UpdatePasswordReq req);

    /**
     * token校验
     * @param req
     * @return
     */
    UserInfo validateToken(TokenReq req);
}
