package com.abi.qms.platform;

import cn.hutool.crypto.SecureUtil;
import cn.hutool.crypto.symmetric.AES;
import com.abi.task.common.api.exception.BusinessException;
import com.sun.org.apache.xerces.internal.impl.dv.util.Base64;
import lombok.extern.slf4j.Slf4j;

import java.io.*;

/**
 * 测试加解密方法
 */
@Slf4j
public class EncryptionTest {
    static final String key = "EC/Z+S7c3EFJa2dtvLyekg==";

    /**
     * 加密
     *
     * @param data
     * @param key
     * @return
     * @throws Exception
     */
    public static String encryptAES(String data, String key) {
        byte[] keyByte = Base64.decode(key);
        AES aes = SecureUtil.aes(keyByte);
        byte[] encryptData = aes.encrypt(data);   //加密
        String encryptDataEncode = Base64.encode(encryptData);
        return encryptDataEncode;
    }

    /**
     * 测试
     *
     * @param args
     * @throws Exception
     */
    public static void main(String[] args) throws Exception {
        System.out.println("开始");
        String sp_jia = "D:\\test\\test+\\100w.txt";//加密后文件
        String sp = "D:\\test\\100w.txt";//原始文件
        String sp_jie = "D:\\test\\test-\\100w.txt";//解密后文件
        String readToString = readToString(sp);//读取文件
        String jiami = encryptAES(readToString, key);
        getFile(jiami, sp_jia);//加密
        System.out.println("写入完毕");
        String readToString_jia = readToString(sp_jia);//读取文件
        String jiemi = jmencryptAES(readToString_jia, key);
        getFile(jiemi, sp_jie);//解密
        System.out.println("完毕");
    }

    /**
     * 写入文件
     *
     * @param name
     * @param path
     * @throws IOException
     */
    public static void getFile(String name, String path) throws IOException {
        Writer writer = new FileWriter(path, true);
        BufferedWriter buff = null;
        try {
            buff = new BufferedWriter(writer);
            buff.write(name);
            buff.newLine();
            buff.flush();
        }finally {
            if (null != buff){
                buff.close();
            }
        }
    }

    /**
     * 读取文件
     *
     * @param fileName
     * @return
     */
    public static String readToString(String fileName) {
        String encoding = "UTF-8";
        File file = new File(fileName);
        Long filelength = file.length();
        byte[] filecontent = new byte[filelength.intValue()];
        FileInputStream in = null;
        try {
            in = new FileInputStream(file);
            in.read(filecontent);
        } catch (FileNotFoundException e) {
            throw new BusinessException(404,"文件不存在");
        } catch (IOException e) {
            throw new BusinessException(404,"文件io不存在");
        }finally {
            try {
                in.close();
            } catch (IOException e) {
                throw new BusinessException(404 , "io流关闭异常");
            }
        }

        try {
            return new String(filecontent, encoding);
        } catch (UnsupportedEncodingException e) {
            System.err.println("The OS does not support " + encoding);
            e.printStackTrace();
            return null;
        }
    }

    /**
     * 解密
     *
     * @param data
     * @param key
     * @return
     * @throws Exception
     */
    public static String jmencryptAES(String data, String key) {
        byte[] data2 = Base64.decode(data);
        byte[] key2 = Base64.decode(key);
        AES aes2 = SecureUtil.aes(key2);
        byte[] decrypt = aes2.decrypt(data2);
        return new String(decrypt);
    }
}

